package org.jeecg.ctop.material.mapper;

import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

public interface MaterialDataMapper {
    String getRoleCodeByUserId(String userId);

    String getCompanyIdByUserId(String userId);

    BigDecimal getByteDanceTotalCharge(Map<String,Object> requestMap);

    JSONObject getByteDanceHelpInfo(Map<String, Object> requestMap);

    Integer getByteDancePushMediaCount(Map<String, Object> requestMap);

    Integer getByteDanceFirstChargeCount(Map<String, Object> requestMap);

    Integer getByteDanceEffectCount(Map<String, Object> requestMap);

    BigDecimal getKuaiShouTotalCharge(Map<String,Object> requestMap);

    JSONObject getKuaiShouHelpInfo(Map<String, Object> requestMap);

    Integer getKuaiShouPushMediaCount(Map<String, Object> requestMap);

    Integer getKuaiShouFirstChargeCount(Map<String, Object> requestMap);

    Integer getKuaiShouEffectCount(Map<String, Object> requestMap);

    List<JSONObject> getByteDanceTotalChargeChart(Map<String, Object> requestMap);

    List<JSONObject> getByteDanceHelpChart(Map<String, Object> requestMap);

    List<JSONObject> getByteDancePushMediaChart(Map<String, Object> requestMap);

    List<JSONObject> getByteDanceFirstChargeChart(Map<String, Object> requestMap);

    List<JSONObject> getByteDanceEffectChart(Map<String, Object> requestMap);

    List<JSONObject> getKuaiShouTotalChargeChart(Map<String, Object> requestMap);

    List<JSONObject> getKuaiShouHelpChart(Map<String, Object> requestMap);

    List<JSONObject> getKuaiShouPushMediaChart(Map<String, Object> requestMap);

    List<JSONObject> getKuaiShouFirstChargeChart(Map<String, Object> requestMap);

    List<JSONObject> getKuaiShouEffectChart(Map<String, Object> requestMap);

    List<JSONObject> getByteDanceProjectData(Map<String, Object> requestMap);

    List<JSONObject> getKuaiShouProjectData(Map<String, Object> requestMap);

    List<JSONObject> getByteDanceTeamData(Map<String, Object> requestMap);

    List<JSONObject> getKuaiShouTeamData(Map<String, Object> requestMap);

    List<JSONObject> getByteDanceUserData(Map<String, Object> requestMap);

    List<JSONObject> getKuaiShouUserData(Map<String, Object> requestMap);

    List<JSONObject> getByteDanceVideoData(Map<String, Object> requestMap);

    List<JSONObject> getKuaiShouVideoData(Map<String, Object> requestMap);
}
